%define name   gsshfs
%define version 1.0.3
%define release %mkrel 1

Summary: GSSHFS is a SSHFS GUI for distant directory mounting
Name:	 %{name}
Version: %{version}
Release: %{release}
Group:   Networking/Remote access
License: CeCILL 
URL:	 http://sallu.tuxfamily.org/Home
Source:	 %{name}-%{version}.tar.bz2
Patch:	  gsshfs-1.0.0-desktop.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	gtk2-devel cmake desktop-file-utils
Requires: sshfs-fuse 
Obsoletes:  %name < %version


%description
GSSHFS is SSHFS GUI. SSHFS (http://fuse.sourceforge.net/sshfs.html) 
is a FUSE based filesystem for mounting distant directories over the 
secure SSH protocol.

Features are:
- simple to use,
- intended for lightweight desktops (no GNOME dependencies),
- ability to define multiple connections,
- ability to save connections.

%prep
%setup -q 
%patch -p1

%build
cmake -DCMAKE_INSTALL_PREFIX=/usr 
     

%install
rm -rf %{buildroot}
%makeinstall_std

desktop-file-install --vendor="" \
  --add-category="X-MandrivaLinux-System-Configuration-Networking" \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*

rm -rf %{buildroot}/usr/doc

%find_lang %{name}

%clean
rm -rf %{buildroot}

%post
%{update_menus}
%{update_desktop_database}

%postun
%{clean_menus}
%{clean_desktop_database}

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc doc/*
%{_bindir}/*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}*
%{_datadir}/pixmaps/*.png


%changelog
* Sat May 29 2010 slick50 <lxgator@gmail.com> 1.0.3-1pclos2010
- 1.0.3

* Tue May 18 2010 slick50 <lxgator@gmail.com> 1.0.1-1pclos2010
- 1.0.1

* Wed Mar 24 2010 slick50 <lxgator@gmail.com> 1.0.0-1pclos2010
-initial pkg
